# hzzt-cli
杭州智团脚手架

#### 快速安装与使用

~~~shell
npm i -D hzzt-cli
~~~

#### 查看脚手架版本号

~~~shell
hzzt -v
hzzt --version
~~~

#### 查看脚手架升级信息
~~~shell
hzzt upgrade
~~~

#### 快速生成页面
目前支持两种模板
- list
- report

`hzzt g <name>` 默认生成列表模板，可以带参数`-t <模板名>`，选择要生成列表文件还是报告文件
如果项目目标目录有重名的文件，则会进行提示，选择是否要覆盖，取消则不会进行写入，选择`Overwrite`则会覆盖目标目录下的文件，可以在输入命令时带上`--force`，强行进行覆盖

~~~shell
hzzt g index
hzzt g index/index
hzzt g index/index -t list
hzzt g index/index -t report
hzzt g index/index -t list --force
~~~

支持查看帮助信息
~~~shell
hzzt g -h
hzzt g -help
~~~

#### 支持设置文件生成的默认路径

默认生成list`.vue`的文件路径为`src/renderer/page/manage/desk`
`.js`的文件路径为`src/renderer/page/manage/desk`

report`.vue`的文件路径为`src/renderer/page/manage/diagnosis/operate/reportTemplate/structure`
`.js`的文件路径为`src/renderer/models/report/temp`

若想修改默认路径，可以通过如下命令
~~~shell
hzzt m listvue <路径>
hzzt m listjs <路径>
hzzt m reportvue <路径>
hzzt m reportjs <路径>
~~~

修改完之后，如想查看配置信息，则使用一下命令
~~~shell
hzzt config
~~~
