const chalk = require('chalk')
const symbols = require('log-symbols')

class Log {
  default(...args) {
    console.log(...args)
  }

  yellow(log) {
    console.log(chalk.yellow(log))
  }

  red(log) {
    console.log(chalk.red(log))
  }

  green(log) {
    console.log(chalk.green(log))
  }

  cyan(log) {
    console.log(chalk.cyan(log))
  }
}

exports.log = new Log()
